<div fullpage id="fullpage" [options]="config" (ref)="getRef($event)">
  <div id="section1" class="section">
    <div class="section-container margin-bottom">
      <h1 class="main-title upper-bold">
        СОПРОВОЖДАЕМ БИЗНЕС МЕДИЦИНСКИХ ОРГАНИЗАЦИЙ 365 ДНЕЙ В ГОДУ
      </h1>
      <p class="main-text upper-bold">ВЕБНАДЗОР - ЭТО КОМАНДА ЭКСПЕРТОВ В СФЕРЕ МЕДИЦИНСКОГО БИЗНЕСА</p>
      <ul class="main-list upper-bold">
        <li class="main-list-item"><span class="circle">●</span> Программист</li>
        <li class="main-list-item"><span class="circle">●</span> Врач-эпидемиолог</li>
        <li class="main-list-item"><span class="circle">●</span> Юрист</li>
        <li class="main-list-item"><span class="circle">●</span> Маркетолог</li>
      </ul>
      <img *ngIf="isVisible" @inOutPaneAnimation class="icon-box" src="assets/icons/license-icon.svg" alt="">
      <button *ngIf="tableWidth > 900" routerLink="/news" class="btn">Новости</button>
    </div>
  </div>
  <div id="section2" class="section">
    <div class="section-container second-container margin-bottom">
      <button class="button-main type1 upper-bold">
        АУДИТ МЕДИЦИНСКОГО БИЗНЕСА
      </button>
      <button class="button-main type1 upper-bold">
        ПОЛУЧЕНИЕ ЛИЦЕНЗИИ НА МЕДИЦИНСКУЮ ДЕЯТЕЛЬНОСТЬ
      </button>
      <button class="button-main type1 upper-bold">
        ПОЛУЧЕНИЕ САНЭПИДЗАКЛЮЧЕНИЙ
      </button>
      <button class="button-main type1 upper-bold">
        АККРЕДИТАЦИЯ МЕДИЦИНСКИХ РАБОТНИКОВ
      </button>
    </div>
  </div>

  <div id="section3" class="section">
    <div class="section-container third-container">
      <div class="box-wrapper">
        <ng-container *ngIf="tableWidth > 1000">
          <ng-container *ngFor="let item of aboutInfo; index as i">
            <button class="button2 type3 upper-bold"
                    (mouseenter)="showDescription(i)"
                    (mouseleave)="hideDescription()"
            >
              {{item.title}}
            </button>
            <div *ngIf="infoIndex === item.id"
                 [innerHTML]="item.description"
                 [@fade]="infoIndex"
                 class="description-box upper-bold">
            </div>
          </ng-container>
        </ng-container>

        <ng-container *ngIf="tableWidth < 1000">
          <ng-container *ngFor="let item of aboutInfo; index as i">
            <button class="button2 type3 upper-bold"
                    [class.hovered]="infoIndex - 1 === i"
                    (click)="showDescription(i)"
            >
              {{item.title}}
            </button>
            <div *ngIf="infoIndex === item.id"
                 [innerHTML]="item.description"
                 [@fade]="infoIndex"
                 class="description-box upper-bold">
            </div>
          </ng-container>
        </ng-container>

      </div>
    </div>
  </div>

  <div id="section4" class="section">
    <div class="section-container fourth-container">
      <div class="info-box-wrapper">
        <img class="info-box-image" src="assets/icons/calendar-icon.svg" alt="">
        <p class="info-box-number upper-bold">17</p>
        <p class="info-box-text upper-bold">Лет работы</p>
      </div>
      <div class="info-box-wrapper">
        <img class="info-box-image" src="assets/icons/client-icon.svg" alt="">
        <p class="info-box-number upper-bold">1000+</p>
        <p class="info-box-text upper-bold">Клиентов</p>
      </div>
      <div class="info-box-wrapper">
        <img class="info-box-image" src="assets/icons/documents-icon.svg" alt="">
        <p class="info-box-number upper-bold">500+</p>
        <p class="info-box-text upper-bold">Лицензий</p>
      </div>
      <div class="info-box-wrapper">
        <img class="info-box-image" src="assets/icons/world-icon.svg" alt="">
        <p class="info-box-number upper-bold">30+</p>
        <p class="info-box-text upper-bold">Сайтов</p>
      </div>
    </div>
  </div>

  <div id="section5" class="section">
    <div class="section-container fifth-container">
      <form [formGroup]="contactForm" (ngSubmit)="send()" class="form-container">
        <div class="form__group field">
          <input formControlName="name" type="text" class="form__field" placeholder="Ваше имя" name="name" id='name'/>
          <label for="name" class="form__label">Ваше имя</label>
          <div
            *ngIf="
          contactForm.controls['name'].invalid
           && (contactForm.controls['name'].dirty
           || contactForm.controls['name'].touched)">
            <div
              class="form-error"
              *ngIf="contactForm.controls['name'].errors?.['required']">
              Введите ваше имя
            </div>
          </div>
        </div>
        <div class="form__group field">
          <input formControlName="email" type="email" class="form__field" placeholder="Ваш email" name="name" id='email'/>
          <label for="email" class="form__label">Ваш email</label>
          <div
            *ngIf="
          contactForm.controls['email'].invalid
           && (contactForm.controls['email'].dirty
           || contactForm.controls['email'].touched)">
            <div
              class="form-error"
              *ngIf="contactForm.controls['email'].errors?.['required']">
              Введите ваш электронный адрес
            </div>
            <div
              class="form-error"
              *ngIf="contactForm.controls['email'].errors?.['email']">
              Введите корректный email
            </div>
          </div>
        </div>
        <div class="form__group field">
          <input formControlName="phone" type="text" class="form__field" placeholder="Ваш телефонный номер" name="name" id='phone'/>
          <label for="phone" class="form__label">Ваш телефонный номер</label>
        </div>
        <div class="form__group field">
          <textarea formControlName="message" rows="5" class="form__field" placeholder="Ваше сообщение" name="message" id='message'></textarea>
          <label for="message" class="form__label">Ваше сообщение</label>
          <div
            *ngIf="
          contactForm.controls['message'].invalid
           && (contactForm.controls['message'].dirty
           || contactForm.controls['message'].touched)">
            <div
              class="form-error"
              *ngIf="contactForm.controls['message'].errors?.['required']">
              Введите ваше сообщение
            </div>
          </div>
        </div>
        <div class="form__group field form-bottom">
          <button [disabled]="contactForm.invalid" class="btn">Отправить</button>
          <img class="img-icon" *ngIf="success$ | async" src="assets/icons/success-icon.svg" alt="">
          <img class="img-icon" *ngIf="error$ | async" src="assets/icons/failure-icon.svg" alt="">
          <div class="checkbox-wrapper">
            <div class="checkbox-wrapper-17">
              <input formControlName="isAgree" type="checkbox" id="switch-17"/>
              <label for="switch-17"></label>
            </div>
            <p class="reglaments-text">Принимаю условия пользовательского соглашения</p>
          </div>
        </div>
      </form>
      <img *ngIf="isVisible" @inOutPaneAnimation class="icon-box" src="assets/icons/contact-icon.svg" alt="">
    </div>
  </div>
</div>
